Describe Database (V2)
This operation describes the specified database.
The base URL for this API is in the following format:
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
- Use the cluster endpoint if you are using serving clusters.
Free & Serverless
https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.comDedicated
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
- You need to fill in
${CLUSTER_ENDPOINT}with that of your Zilliz Cloud cluster. - To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password. If you are using a project endpoint, only a valid API key with sufficient permissions applies.
The name of the new database to be created.
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/databases/describe" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"dbName": "my_database"
}'
Returns the properties of the specified database.
Response code.
The details of the specified database.
The name of the database.
The ID of the database.
The properties of the specified database in key-value pairs.
A key-value pair representing a database property.
The property name.
The property value.
Returns an error message.
Response code.
Error message.
{
"code": 0,
"cost": 0,
"data": {
"dbName": "my_database",
"dbID": 123,
"properties": [
{
"key": "database.replica.number",
"value": "1"
}
]
}
}